/* $USAGI: ipsec6.h,v 1.5 2001/10/19 07:16:31 mk Exp $ */
/*
 * Copyright (C)2001 USAGI/WIDE Project
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef _LINUX_IPSEC6_H
#define _LINUX_IPSEC6_H

#include <linux/skbuff.h>
#include <net/ipv6.h>

#ifdef __KERNEL__

/* return value for ipsec6_output_check() -mk */
#define IPSEC_ACTION_BYPASS		0
#define IPSEC_ACTION_AUTH		1
#define IPSEC_ACTION_ESP		2
#define IPSEC_ACTION_DROP		8

int ipsec6_init(void);
/* void ipsec6_cleanup (void); */
int ipsec6_input_check(struct sk_buff **skb, int *nexthdr);
int ipsec6_output_check(struct sock *sk, struct flowi *fl, void **ipsec_ptr);
int ipsec6_forward_check(struct sk_buff *skb);

#endif /* __KERNEL__ */

#endif /* _LINUX_IPSEC6_H */
